﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

image start = "bg1.png"
image prusti = "bg2.png"
image piss = "bg3.png"
image hospital = "bg4.png"
image train = "bg5.png"
image property = "bg6.png"
image shop = "bg7.png"
image climax = "bg8.png"
image black = "black.png"
image diary = "diary.png"

# Declare characters used by this game.
define e = Character('Eileen', color="#c8ffc8")
define n = Character(None, kind=nvl)

# The game starts here.
label start:
    
    stop music fadeout 2.0
    scene black with fade
    pause 
    
    n "January 13th, 1996{p=1.0}{p=1.0}{p=1.0}"
    scene start with fade
    play music "outside.mp3" fadein 3.0
    extend "{cps=25}As I write these words with the sun gleaming through the windows and the Saturday morning saturated with the sounds of an awakening city, I begin to think that maybe it was all just a dream.{p}Maybe I am merely exhausted from furnishing our new home. It {i}was{/i} a rather hectic move after all... Tiring for the both of us.{p}"
    stop music fadeout 3.0
    show diary with fade
    
    play music "horrorair.mp3"
    n "{cps=25}But in this dream—{i}or should I say nightmare?{/i}—I lay on my bed, staring up at the ceiling, unable to sleep while my husband snored away.{p=2.0} The room was unbearably cold, much colder than it should have been even in winter. As I shifted, clutching the blankets tightly to stay warm and hoping I'd soon fall asleep, I saw {i}her{/i}."
    nvl clear 
    play music "eerie.wav"
    show prusti
    pause
    n "{cps=25}{i}Her{/i}{p=3.0}"
    n "{cps=25}Something that {i}seemed{/i} undeniably human but wasn't. There was something off about her, something...not quite {i}right{/i}.{p}Her height spanned the distance from the floor to the ceiling, her tall, crooked figure towering over me.{p}" 
    n "{cps=25}Struck with fear, I gripped the blankets even tighter, my knuckles going white."
    n "{cps=25}A long veil of clumped, knotted hair obscured her, no, {i}its{/i} face and I hoped to God it'd stay that way.{p=1.0} Illuminated by the moonlight, its oily hair reflected a dim glow, and a tattered ceremonial kimono clung to its twisted body.{p} The clothing’s age showed in the tarnished golden embroidery, its stitching uneven with gaps, glistening faintly in the light as if mocking the horror of its wearer and the once vivid red and green layers now appeared faded and stained with brown patches.{p}"
    nvl clear
    stop music fadeout 4.0
    n "{cps=25}I lay silently, my body shivering from fear, as the {i}thing{/i}  did nothing but stand over me, its body lurching from side to side, and its dark hair swaying back and forth. As the creature moved, it produced a sound, a sharp crack.{p}" 
    
    n "{cps=25}Every single time it moved I could hear it,"
    play sound "bones.wav"
    extend " a painful sound, like its bones were breaking.{p}I could hear its breathing too." 
    play sound "rasp.mp3"
    extend " Raspy, hoarse breathing, as if every breath was a struggle."
    
    nvl clear
    play music "horrorair.mp3" fadein 3.0
    n "{cps=25}Without taking my eyes off it, I reached for Hiroki, trying to rouse him awake. {p}But my hand found nothing. I was alone. {p=1.0}Alone… with that {i}thing{/i} in the room. {p=1.0}Unable to move in fear, I remained rooted on my bed, staring at it, afraid to move, breathe, to even think about it."
    n "{cps=25}I do not know exactly when I realized the creature had disappeared. Perhaps it was only moments after it had gone. When I did notice, I looked around, worried that it was still there but I only found my husband beside me. Maybe he had returned during my daze."
    n "{cps=25}Or maybe he never left."
    scene start with fade
    nvl clear
    n "{cps=25}Of course he didn't! Of course he didn't… It was only a nightmare. Just a nightmare.{p=1.0}The move must've been so stressful that I had a {i}nightmare{/i}."
    n "{cps=25}It could not have been real. It just could not.{p=1.0}At least… that was the conclusion I came to back then."
    n "{cps=25}But as I write these words, with the sun gleaming through the windows and the Saturday morning saturated with the sounds of an awakening city, a simple glance at the foot of my bed planted doubts in my mind.{p} The straw of the tatami floor is withered, blackened and twisted, reminding me of that thing's hair."
    stop music fadeout 4.0
    nvl clear
    show black with fade
    play music "zone.mp3" fadein 4.0
    pause
    scene diary with fade
    n "January 16th, 1996{p=1.0}{p=1.0}{p=1.0}"
    n "{cps=25}It appeared again.{p=1.0}"
    n "{cps=25}I told Hiroki about my nightmares, but he did not believe me. He shrugged me off, calling me a superstitious fool and saying that I had no right to make things up to upset him after he just started his new job, trying to get attention. {p=1.0}"
    n "{cps=25}He's right of course. It's a wife's duty to support her husband. I should't let my problems disturb him, least of all in a moment like this."
    nvl clear
    pause
    n "January 17th, 1996{p=1.0}{p=1.0}{p=1.0}"
    n "It moved this time." 
    n "{cps=25}It didn't merely lurch from side to side tonight, swaying like before, but jerked its crooked body, twitching as it slowly tilted its head sideways.{p}"
    play sound "bones.wav" 
    extend "I wanted to scream but only managed a faint, inaudible gasp."
    n "I think it was looking at me." 
    n "{cps=20}That {i}thing{/i} was looking at me!"
    n "{cps=20}It didn't move after that. {p=1.0}Other than the twitching and the awkward jerking movements of its body, it did not move.{p=1.0}Thank God it did not move."
    nvl clear
    scene black with fade
    pause
    play music "majo.mp3"
    n "January 20th, 1996{p=1.0}{p=1.0}{p=1.0}"
    n "{cps=25}I'm such a disgrace. Amidst my terror of last night I must have let go of my bladder without even realizing it." 
    n "{cps=25}Hiroki was furious when he woke up to the soaked, smelly sheets.{p=1.0}" 
    show piss with fade
    extend "He grabbed my hair painfully and pressed my face against the now cold urine, telling me I was not a woman but an animal."
    n "{cps=25}There is no excuse for my behaviour.{p=1.0}"
    n "{cps=25}It did not come tonight."
    nvl clear
    pause
    hide piss 
    scene black with fade
    show diary with fade
    n "January 24th, 1996{p=1.0}{p=1.0}{p=1.0}"
    n "I cannot stay here."
    n "{cps=25}I will truly go mad in this house if I stay here. It visits every night since my last entry, standing over me, standing by the foot of my bed, towering over me as its hair falls.{p}"
    extend "I think it gets closer to me every night. The straw on the floor continues to grow even blacker."
    n "{cps=25}Hiroki blames my incontinence for the ruining of the tatami. He appears to be sleeping badly as well, but he doesn’t seem to notice anything out of the ordinary.{p=1.0}But the bags under his eyes are obvious, and he is more irritable than before."
    n "{cps=25}I will go to the hospital. I fear madness has already overtaken me. I need to know that this is not real." 
    n "{cps=25}It {i}cannot{/i} be real."
    nvl clear
    
    
    show hospital with fade
    n "January 25th, 1996{p=1.0}{p=1.0}{p=1.0}"
    n "{cps=25}The doctor found nothing wrong with me."
    n "{cps=25}He scanned my head and asked me if I had sustained any injuries recently.{p}I lied and told him nothing had happened, recalling the punches and ever more frequent punishments of my husband."
    n "{cps=25}That had nothing to do with it, I’m sure, as he always avoided my head in fear that it would ruin my beauty."
    scene diary with fade
    n "{cps=25}When I told Hiroki that I had gone to the hospital he hit me yet again, telling me he did not want to come home to a crazy wife.{p=1.0}He is right, of course. The stress of the office and of moving to a new home is enough for him."
    n "{cps=25}I'll have to get myself right again, somehow.{p=1.0}I’ll go sleep at my sister’s for tonight, for I cannot stand another encounter with that thing."
    nvl clear
    scene black with fade
    stop music fadeout 3.0
    pause 3.0
    play music "horrorair.mp3"
    show diary with fade
    n "January 26th, 1996{p=1.0}{p=1.0}{p=1.0}"
    n "{cps=25}At last, a good night’s rest!"
    n "{cps=25}I woke up to my sister’s voice, telling me my husband was on the telephone, furious over my absence last night. I told him I visited for tea yesterday and ended up staying the night as the hour grew late."
    n "{cps=25}As I hung up, my sister asked me if everything was ok between me and Hiroki. I broke down and told her everything, about my recent night encounters with that hideous creature and how my panic was affecting my dear husband, right at the start of his new career."
    n "{cps=25}Upon hearing of my...hallucinations, my sister told me of a couple that owned a shop in the outskirts of the city that specialized in cases like mine."
    nvl clear
    scene train with fade
    n "{cps=25}When I was sure Hiroki was gone for work, I returned home to change and immediately left for the train station.{p=1.0}"
    play sound "steam.wav"   
    extend "After a one-hour ride, with nothing but green hills and small, scarce farm houses flying past the window, I reached the rural area were the couple supposedly lived." 
    n "{cps=25}The villagers were all old and eyed me with the usual suspicion reserved for outsiders.{p=1.0}After leaving what could be called the center of that nameless village and walking through the woods for a while, I finally reached the place my sister told me about."
    scene property with fade
    play music "kagome.wav" fadein 3.0
    nvl clear
    n "{cps=25}The buildings were placed in a huge clearing, which was surrounded by a tall cement wall.{p=1.0}I stood before the entryway, an opening on the wall where an ancient traditional gate - just two solid cement columns topped with an upward-curved arch - was placed." 
    n "{cps=25}The shop, a small one-story house, was the building closest to the entrance.{p=1.0}As I glanced around the property, I could distinguish a large, ostentatious looking house in the distance, a massive tree in the middle of the clearing, and a large building that might have looked like an inn were it not for its torn down and dilapidated state." 
    n "{cps=25}Feeling like an intruder, I quickly entered the shop."
    nvl clear
    play sound "bell.wav"
    scene shop with fade
    n "{cps=25}The shelved walls were filled with scrolls, beaded necklaces, cloths, bells, books, incense sticks and many other things. The room itself smelled heavily of lavender, making it hard to breathe and my eyes watery."
    n "{cps=25}Behind the counter, I was greeted by a small girl, no more than 9 years old. She was very calm and polite, and she asked me how she may be of help.{p=1.0}I asked to see the couple that could help me with my situation, to which she replied that her parents were busy with another client, and she was looking after the store. As she said this, a twinge of nervousness flashed across her face, before quickly disappearing."
    n "{cps=25}I decided to tell her about the tall woman and my reasons to come seek help.{p}The sweet girl nodded and went to look something up in a huge book, her tiny figure almost comical while reading it."
    n "{cps=25}After a short while she told me it was good that I came when I did.{p=1.0}The girl sold me a small white rectangular piece of paper. On it was inscribed {i}Omoikane{/i} in bold, ancient calligraphy. She instructed me to place it beneath my pillow when I went to sleep." 
    n "{cps=25}I gladly paid the 5000 yen for it and left."
    nvl clear
    scene black with fade
    stop music fadeout 3.0
    pause 3.0
    play music "horrorair.mp3" fadein 2.0
    show diary with fade
    n "{cps=25}When I returned home, late after dinner time, I was greeted by my drunk husband." 
    n "{cps=25}Though he did not ask where I had been, he did punish me severely and ordered me to go prepare dinner."
    n "{cps=25}It's about time I go to bed. Over the pain of what I think might be a broken rib, I can faintly smell the scent of rice powder."
    n "{cps=25}I hope the girl was right."
    nvl clear
    scene black with fade
    pause
    play music "zone.mp3" fadein 2.0
    n "January 27th, 1996{p=1.0}{p=1.0}{p=1.0}"
    n "{cps=25}I thought I was prepared."
    n "{cps=25}I thought that my expectation of {i}its{/i} appearance and the hope of whatever magic was contained in the tag would dispel the apparition, or at least lessen the horror that came with each of its visits."
    n "{cps=25}But it was not so. "
    nvl clear
    n "{cps=25}I awoke in the middle of the night and looked to the corner, expecting to see {i}it{/i} there, only to find it empty.{p=1.0}I sighed in relief, thinking that the gut-wrenching terror still gripping my heart was wrong, even hoping that this whole ordeal was over."
    n "{cps=25}But when I turned up at the ceiling to go back to sleep, I saw {i}it{/i}."
    nvl clear
    scene climax with fade
    play music "putabreath.mp3" fadein 4.0
    n "{cps=25}She was standing at my feet, her huge body arching over me so that her face was right above mine. I could hear her ragged breathing as clearly as ever, even feel its coldness on my face."
    n "{cps=25}I opened my mouth in utter horror, attempting to scream and again producing no sound.{p=1.0}I felt her oily hair tickling my eyes, and flaky putrid skin falling into my open mouth. {p=1.0}She was dead still, not moving an inch, her face surrounded in blackness."
    stop music
    n "{cps=25}Her ragged breathing suddenly stopped."
    play music "heart.ogg"
    n "{cps=25}The air was ice cold. {p=1.0}My ears popped with the heavy silence. I could only make out the sound of my thumping heart, which seemed loud enough for her to hear." 
    n "{cps=25}Amidst this sinking silence, her head slowly began to descend towards my own."
    play sound "bones.wav"
    n "{cps=25}More and more hair piled on my face. I couldn’t move. My eyes filled with tears as I reached for Hiroki beneath the covers, feeling nothing but a warm, sticky, wet patch were he should be."
    nvl clear
    n "{cps=25}Its face was inches from mine, the pale features visible if not for my watery eyes."
    n "{cps=25}The pain on my rib was now a faint ache, buried in my terror."
    n "{cps=25}Its voice was indescribable, a new level of nightmares in and on itself, a hymn of darkness and pain."
    n "{cps=25}The five words it spoke seemed to stretch into an eternity."
    stop music
    nvl clear
    centered "{cps=15}\"He won't hurt you again\""
    scene black with fade
    

    pause 4.0
    return
    
